local LrLogger = import 'LrLogger'

local studiocmsLogger = LrLogger('studiocms') -- the log file name
studiocmsLogger:enable("logfile")

local logger = {}

function logger.outputToLog(message)
  studiocmsLogger:trace(message)
end

function logger.table_to_string(tbl)
  local result = "{"
  for k, v in pairs(tbl) do
    -- Check the key type (ignore any numerical keys - assume its an array)
    if type(k) == "string" then
      result = result .. "[\"" .. k .. "\"]" .. "="
    end

    -- Check the value type
    if type(v) == "table" then
      result = result .. logger.table_to_string(v)
    elseif type(v) == "boolean" then
      result = result .. tostring(v)
    elseif type(v) == "function" then
      result = result .. "function"
    else
      result = result .. "\"" .. v .. "\""
    end
    result = result .. ",\n"
  end
  -- Remove leading commas from the result
  if result ~= "" then
    result = result:sub(1, result:len() - 1)
  end
  return result .. "}"
end

return logger
